<?php 

	if ($_SERVER["REQUEST_METHOD"] == "POST") {
		import_file(DIR_MODELS."Model.class.php");

		$email = filter_input(INPUT_POST, "email_usuario", FILTER_SANITIZE_EMAIL);
		$cpf_cnpj = filter_input(INPUT_POST, "cpf_usuario", FILTER_SANITIZE_STRING);

		$model = new Model();

		$result = $model->query("
			SELECT * FROM usuario 
			WHERE 
				email_usuario = :email AND 
				cpf_usuario = :cpf AND 
				status_usuario = 'S'
		", [
			":email" => $email, 
			":cpf" => $cpf_cnpj
		]);

		if ($result->rowCount() == 1) {
			$data = $result->fetch();
			$nova_senha = generate_password();

			$result = $model->update("usuario", [
				"senha_usuario" => md5($nova_senha)
			],[
				"id_usuario" => $data->id_usuario
			]);

			if ($result > 0) {
				// Gera o histórico da edição do usuário
				$last_query = $model->lastQuery();
				$model->insert("historico", [
					"comando_sql" => $last_query,
					"datahora_acao" => date("Y-m-d H:i:s"),
					"id_usuario" => $data->id_usuario
				]);

				$assunto = "Nova Senha de Acesso";
				$conteudo = "
				<div style='text-align: center;'>
					<p>Foi gerado para você uma nova senha de acesso para <strong>".SYS_NAME."</strong>.</p>
					<br>
					<center>
						<div style='width: 450px; height: 50px; background-color: #ddd; text-align: center; padding-top: 28px; border-radius: 5px;'>
							<strong>Nova Senha:</strong> $nova_senha
						</div>
					</center>
				</div>";

				$result = send_email(["name" => $data->nome_usuario, "email" => $data->email_usuario], $assunto, $conteudo);

				if ($result) {
					$model->commit();
					echo json_encode(["status" => true]);
				}
				else{
					$model->rollback();
					echo json_encode(["status" => false]);
				}
			}
			else{
				$model->rollback();
				echo json_encode(["status" => false]);
			}
		}
		else{
			echo json_encode(["status" => false]);
		}
	}
	else{
		show_403();
	}

?>